Bug 1889515 - Accessibility - The symbols e.g checkmark in the Node > overview page has no text description, label, or other accessible information
Summary: Accessibility - The symbols e.g checkmark in the Node > overview page has no ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: 4.7.0
Assignee: Cyril
QA Contact: Siva Reddy
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-19 20:05 UTC by Cyril
Modified: 2021-02-24 15:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Accessibility compliance was not considered in the implementation Consequence: Failed accessibility test Fix: Yes Result: Working as expected.
Clone Of:
Environment:
Last Closed: 2021-02-24 15:26:50 UTC
Target Upstream Version:


Attachments (Terms of Use)
Checkmark in Node Overview page (239.42 KB, image/png)
2020-10-19 20:05 UTC, Cyril
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 6971 0 None closed Bug 1889515: - Accessibility - The checkmark in the Node > overview page has no text description, label, or other access... 2021-01-08 14:31:34 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:27:08 UTC

Description Cyril 2020-10-19 20:05:55 UTC
Created attachment 1722697 [details]
Checkmark in Node Overview page

Overview page

Description of problem:
Non-compliance: The green checkmark in the Node > overview page has no text description, label, or other accessible information; it is not merely decorative as it is indicative of a background operation in progress



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Goto to Node > Overview page
2. No text description, label, or other accessible information in the green checkmark


Actual results:
No text description, label, or other accessible information in the green checkmark

Expected results:
Should have text description, label, or other accessible information

Additional info:


Additional info:

Comment 3 Siva Reddy 2020-10-26 19:37:56 UTC
The green check mark has the descriptions in the background now.

Version:
Cluster version is 4.7.0-0.nightly-2020-10-26-124513

Steps to Verify:
1. Goto to Node > Overview page
2. the green check mark has  text description in the green checkmark
3. the hover over shows "healthy" when the status is ready.

Comment 6 errata-xmlrpc 2021-02-24 15:26:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.